From 5cd922d981e2f3e08e038e7e78e396011aaeb46b Mon Sep 17 00:00:00 2001
From: Zhao Zhili <wantlamy@gmail.com>
Date: Fri, 7 Jul 2017 11:52:44 +0800
Subject: [PATCH] demux/adaptive: fix incorrect PCR

---
 modules/demux/adaptive/plumbing/FakeESOut.cpp | 1 +
 1 file changed, 1 insertion(+)

diff --git a/modules/demux/adaptive/plumbing/FakeESOut.cpp b/modules/demux/adaptive/plumbing/FakeESOut.cpp
index 781f2c8..3ae04a4 100644
--- a/modules/demux/adaptive/plumbing/FakeESOut.cpp
+++ b/modules/demux/adaptive/plumbing/FakeESOut.cpp
@@ -378,6 +378,7 @@ int FakeESOut::esOutControl_Callback(es_out_t *fakees, int i_query, va_list args
             else
                 i_group = 0;
             int64_t  pcr = va_arg( args, int64_t );
+            me->checkTimestampsStart( pcr );
             pcr += me->getTimestampOffset();
             AbstractCommand *command = me->commandsqueue->factory()->createEsOutControlPCRCommand( i_group, pcr );
             if( likely(command) )
-- 
2.7.4

